


priorities:
	unittest -> 
		body_scan -> 
			{ invigorator, invigorate, vitalize, energize, electrify, excite }


	for breaking changes could do:
		body_scan.start_series_2 ()

	[ ] this needs to not use a timer

	[ ] unit test 
			-> body scan 
				-> ... group scan
				->
	
	
	[ ] possibly exec a file that imports the checks file...?
		'''
		from status_1 import checks
		'''
		

	[ ] capacity limiters:
		[ ] 1 by 1 batches, as in 10, and then 
			start another 10 when the first 10 all finish
	
		[ ]	queues with capacity:
				
				for example: 
					capacity: 10
					
					10 checks start, when 1 finishes, another is started from the queue.


	[ ] tinydb records [{}, {}, {}]
		[ ] modulations {
				alarms: "+1",
				empty:" "+1",
				ch
			}

		[ ] passes
			<h2>most recent 10, starting from last</h2> 
			<p>36, 36, 35, 32, 31, 31, 31, 31, 30</p>


	[ ] [tcsh] body-scan
	
			status_*.py
			
			#
			#	from the cwd, with relate path clipping
			#
			
	[ ] show exception traces as array, 
		show exactly line and character where exception is.
		
	[ ] tree shaking	
			searching for scripts that aren't utilized.
	
	
	[ ] SEARCH MULTIPLE GLOB PATTERNS
	
		GLOBS: [
		
		]
		
	[ ] MONITOR = "yes"
		#
		#	monitors glob finds for changes....
		#
		
	[ ] START A COLLECTION FLASK THAT OPENS THE "CHECK" FLASKS
		[ ] THAT FLASK COULD SHOW THE AGGREGATION OF THE
			RESULTS ON A WEB PAGE.
			
			
	[ ] EXCLUDE GLOB PATTERN FROM GLOB PATTERNS
	
		possibilities:
			globs: {
				"simultaneous": "yes",
				"series": [{
					"includes": "**/status_*.py",
					"excludes": "",
					"module_paths": [
					
					],
					"relative": "",
					"simultaneous": "yes"
				},{
					"includes": "**/status_*.py",
					"excludes": "",
					"module_paths": [
					
					],
					"relative": "",
					"simultaneous": "yes"
				}]
			}
			
			
	
	[ ] scan for type checks
	
	[ ] scan for lint checks
	
	[ ] 
	
		import body_scan.certify as certify
		
		certify.equality (1, 1)
			#
			#	if not equal, prints variables and exception
			#
		
		